classification
Title: correction for test_fileinput in py3k on Windows
Type: Stage:
Components: Windows Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: amaury.forgeotdarc, gvanrossum
Priority: normal Keywords: patch

Created on 2007-10-26 23:59 by amaury.forgeotdarc, last changed 2007-10-29 17:40 by gvanrossum. This issue is now closed.

Files
File name Uploaded Description Edit
fileinput.diff amaury.forgeotdarc, 2007-10-26 23:59
Messages (2)
msg56833 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2007-10-26 23:59
This patch corrects test_fileinput on Windows: when redirecting stdout,
os.open should be given O_BINARY, because the file descriptor is then
wrapped in a text-mode file; os.fdopen(fd, "w").
msg56915 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-10-29 17:40
Thanks, good catch!

Committed revision 58704.

(in the py3k branch)
History
Date User Action Args
2007-10-29 17:40:14gvanrossumsetstatus: open -> closed
resolution: accepted
messages: + msg56915
nosy: + gvanrossum
2007-10-27 06:43:30loewissetkeywords: + patch
2007-10-27 00:00:36amaury.forgeotdarcsetcomponents: + Windows
versions: + Python 3.0
2007-10-26 23:59:30amaury.forgeotdarccreate